Package Details: brother-hl-l2370dw 4.0.0-0

Git Clone URL: https://aur.archlinux.org/brother-hl-l2370dw.git (read-only, click to copy)
Package Base: brother-hl-l2370dw
Description: LPR and CUPS driver for the Brother HL-L2370DW printer
Upstream URL: https://support.brother.com/g/b/producttop.aspx?c=us&lang=en&prod=hll2370dw_us
Licenses: custom:brother commercial license
Submitter: butforme
Maintainer: butforme
Last Packager: butforme
Votes: 0
Popularity: 0.000000
First Submitted: 2021-06-02 17:30 (UTC)
Last Updated: 2021-06-02 17:30 (UTC)

Latest Comments

montesano commented on 2022-11-02 18:54 (UTC) (edited on 2022-11-02 18:57 (UTC) by montesano)

I had to modify the pkgbuild with this to get it to install:

  ln -s /opt/brother/Printers/HLL2370DW/cupswrapper/brother-HLL2370DW-cups-en.ppd $pkgdir/usr/share/cups/model/brother-HLL2370DW-cups-en.ppd
  ln -s /opt/brother/Printers/HLL2370DW/cupswrapper/lpdwrapper $pkgdir/usr/lib/cups/filter/brother_lpdwrapper_HLL2370DW

They must have change the casing of the filenames? I had the same issue as user slip though: prints would be submitted to cups, but nothing actually prints.

Eventually I got my Brother HL-L2370DW to work by manually adding to cups by:

  • picking ipp protocol

  • setting connection string to ipp://<hostname>/ipp

  • on the make/model page, set Make=Brother

  • set Model="IPP Everywhere TM"

  • click "Add Printer"

(so you might not even need this package if the these steps work for you)

Zachrey commented on 2022-06-08 23:00 (UTC)

Have not yet tried this installation. I have a Brother HL-L2370DW printer and would REALLY like to get it to work! Zac 6/8/2022 Is there any harm in trying to install it even though "slip" mentioned there is a missing file?

slip commented on 2022-03-13 04:48 (UTC)

This package currently doesn't work. I just grabbed this printer today and it fails due to a missing file. The file missing is the symlink that is created in the PKGBUILD /opt/brother/Printers/hll2370dw/cupswrapper/brother_lpdwrapper_hll2370dw $pkgdir/usr/lib/cups/filter/brother_lpdwrapper_hll2370dw

/opt/brother/Printers/hll2370dw/cupswrapper/brother_lpdwrapper_hll2370dw doesn't exist in the rpm package, so it doesn't properly link. I tried symlinking the lpdwrapper file in its place, and it reports successful prints, but nothing actually prints.